Log message #4222312

# At Username Text
# Jan 14th, 10:29 conehead I am. Currently on plugin version ```3.5.1```
# Jan 14th, 10:27 rudy1976s good morning: is there anyone who's using asset_compress plugin from MarkStory, on cake 3.8x? I need the correct version to update my composer
# Jan 14th, 10:19 conehead Actually just saw it is not pdf, it is docx. Using PHPWord
# Jan 14th, 10:16 challgren What you using to generate the PDF?
# Jan 14th, 10:03 conehead How would you solve this problem? I got an url that generates a graph (as png image), with a normal controller/action that just prints out this stuff. User is required to be logged in to see it. Now I want to use this image and generate a pdf file with it. Just copy from the url e.g. http://myapp.com/graphs/my_graph.png ? Or does this bring any security issues with it?
# Jan 14th, 07:42 challgren Ones with :strawberry: are CakePHP 4.x compatible
# Jan 14th, 07:42 challgren But https://github.com/FriendsOfCake/awesome-cakephp would be a great place for Plugins
# Jan 14th, 07:41 challgren Theres also https://github.com/FriendsOfCake/crud
# Jan 14th, 07:40 challgren It really depends on your implementation @matiur756
# Jan 14th, 06:38 javier.villanueva morning all
# Jan 14th, 05:22 matiur756 whats the difference? https://github.com/sprintcube/cakephp-rest https://github.com/CakeDC/cakephp-api
# Jan 14th, 05:14 matiur756 @challgren whats the difference? https://github.com/sprintcube/cakephp-rest https://github.com/CakeDC/cakephp-api
# Jan 14th, 05:11 challgren 4.0 might not have all the plugins you need just yet
# Jan 14th, 05:10 challgren Yes or 3.8
# Jan 14th, 05:10 matiur756 @challgren that means ...newly implement cakephp 4.0
# Jan 14th, 05:09 challgren So much has changed from 1.2 to 4.0 that its not even possible just to upgrade
# Jan 14th, 05:08 matiur756 rewrite mean ...new project implement ?
# Jan 14th, 05:08 challgren But yeah best just to rewrite
# Jan 14th, 05:04 matiur756 @challgren not fun, i am facing this problem
# Jan 14th, 05:04 challgren Ohh man that would not be a fun migration
# Jan 14th, 05:02 admad That would be a rewrite
# Jan 14th, 04:58 matiur756 how to convert cakePHP 1.2 to cakephp 4.0
# Jan 13th, 23:01 jimbo2150 Alternatively you could sort it in the Select2 element by the browser if that information is passed to the browser: https://stackoverflow.com/a/28764371/1456201
# Jan 13th, 22:54 dereuromark normal 'order' works on find(list) as well
# Jan 13th, 22:49 ndm Could be in the template, could be in the controller, could be in the model... or there could be no explicit ordering at all, and you just get the DBMS default order... you'll have to check
# Jan 13th, 22:45 Fastidius Hi all, I'm a little stuck, I have a form with a select2 dropdown but the populated list is out of order, I want to sort it by client_name not Client_id. Is the ordering handled by the Template or by the controller as I can't seem to find any way to adjust it......it's an inherited project and I'm not a cake guru so if you can point me in the right direction as to what area im meant to be adjusting
# Jan 13th, 22:10 MrEm Awesome! That did it. I had to change the last line to: `return new AuthorizationService(new ResolverCollection([$mapResolver, $ormResolver]));`
# Jan 13th, 22:03 ndm https://book.cakephp.org/authorization/2/en/policy-resolvers.html#using-resolvercollection
# Jan 13th, 22:03 ndm You probably want to use a resolve collection to add both map and orm resolver
# Jan 13th, 22:03 ndm Not if you want to use the ORM resolver too :)
# Jan 13th, 22:03 MrEm was that not the right thing?
# Jan 13th, 22:01 MrEm oh, uh - for the RequestAuthorizationMiddleware stuff that I added, I changed the resolver to the MapResolver
# Jan 13th, 21:58 MrEm Ohhh, I see what you're saying
# Jan 13th, 21:57 ndm In the plugin's source code, `vendor/cakephp/authorization/src/Policy/OrmResolver.php`
# Jan 13th, 21:55 MrEm Forgive the super noob-ness - but where would I check that at?
# Jan 13th, 21:39 ndm That looks right... not sure, might want to debug `\Authorization\Policy\OrmResolver::getEntityPolicy()` and `\Authorization\Policy\OrmResolver::findPolicy()` to check what's trying to be looked up
# Jan 13th, 21:31 MrEm $user = $this->Users->get($id);
# Jan 13th, 21:31 MrEm I'm getting the $user for deletion by:
# Jan 13th, 21:30 MrEm namespace App\Policy; ?
# Jan 13th, 21:30 ndm Wrong namespace maybe...
# Jan 13th, 21:21 MrEm I've got the UserPolicy.php living in src/Policy/